Search Experiments
curl --request POST \
--url https://api.galileo.ai/v2/projects/{project_id}/experiments/search \
--header 'Content-Type: application/json' \
--header 'Galileo-API-Key: <api-key>' \
--data '
{
"starting_token": 0,
"limit": 100,
"filters": [
{
"value": "<string>",
"name": "id",
"operator": "eq"
}
],
"sort": {
"name": "created_at",
"ascending": false,
"sort_type": "column"
},
"include_counts": false
}
'import requests
url = "https://api.galileo.ai/v2/projects/{project_id}/experiments/search"
payload = {
"starting_token": 0,
"limit": 100,
"filters": [
{
"value": "<string>",
"name": "id",
"operator": "eq"
}
],
"sort": {
"name": "created_at",
"ascending": False,
"sort_type": "column"
},
"include_counts": False
}
headers = {
"Galileo-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Galileo-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
starting_token: 0,
limit: 100,
filters: [{value: '<string>', name: 'id', operator: 'eq'}],
sort: {name: 'created_at', ascending: false, sort_type: 'column'},
include_counts: false
})
};
fetch('https://api.galileo.ai/v2/projects/{project_id}/experiments/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"starting_token": 0,
"limit": 100,
"paginated": false,
"next_starting_token": 123,
"experiments": [
{
"id": "<string>",
"project_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "",
"created_by": "<string>",
"created_by_user": {
"id": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>"
},
"num_spans": 123,
"num_traces": 123,
"num_sessions": 123,
"dataset": {
"dataset_id": "<string>",
"version_index": 123,
"name": "<string>"
},
"aggregate_metrics": {},
"structured_aggregate_metrics": {},
"aggregate_feedback": {},
"rating_aggregates": {},
"ranking_score": 123,
"rank": 123,
"winner": true,
"playground_id": "<string>",
"playground": {
"playground_id": "<string>",
"name": "<string>"
},
"prompt_run_settings": {
"logprobs": true,
"top_logprobs": 5,
"echo": false,
"n": 1,
"reasoning_effort": "medium",
"verbosity": "medium",
"deployment_name": "<string>",
"model_alias": "gpt-5.1",
"temperature": 123,
"max_tokens": 4096,
"stop_sequences": [
"<string>"
],
"top_p": 1,
"top_k": 40,
"frequency_penalty": 0,
"presence_penalty": 0,
"tools": "<string>",
"tool_choice": "<string>",
"response_format": {}
},
"prompt_model": "<string>",
"prompt": {
"prompt_template_id": "<string>",
"version_index": 123,
"name": "<string>",
"content": "<string>"
},
"tags": {},
"status": {
"log_generation": {
"progress_percent": 0
}
},
"experiment_group_id": "<string>",
"experiment_group_name": "<string>",
"experiment_group_is_system": true
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}experiment
Search Experiments
Search experiments for a project.
POST
/
v2
/
projects
/
{project_id}
/
experiments
/
search
Search Experiments
Authorizations
ClassicAPIKeyHeaderAPIKeyHeaderOAuth2PasswordBearerHTTPBasic
Path Parameters
Body
application/json
filters
(RunIDFilter · object | RunNameFilter · object | RunCreatedByFilter · object | RunCreatedAtFilter · object | RunUpdatedAtFilter · object | ExperimentGroupIDFilter · object | ExperimentGroupNameFilter · object)[]
- RunIDFilter
- RunNameFilter
- RunCreatedByFilter
- RunCreatedAtFilter
- RunUpdatedAtFilter
- ExperimentGroupIDFilter
- ExperimentGroupNameFilter
Show child attributes
Show child attributes
- RunNameSort
- RunCreatedAtSort
- RunUpdatedAtSort
Show child attributes
Show child attributes
Was this page helpful?
⌘I